"{ Package: 'stx:goodies/xtreams/support/tests' }"

"{ NameSpace: Xtreams }"

TestCase subclass:#STXEncoderTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Xtreams-Support-Tests'
!


!STXEncoderTest methodsFor:'tests'!

testUTF16Decoding

    |encoder stream char |

    encoder := Xtreams::STXEncoder for: #utf16.
    stream := #[0 1] reading.
    char := encoder decodeFrom: stream.
    stream close.
    self assert: char = (Character codePoint: 16r100)
!

testUTF16Encoding

    |encoder stream|

    encoder := Xtreams::STXEncoder for: #utf16.
    stream := ByteArray new writing.
    encoder encode: (Character codePoint: 16r159) on: stream.
    stream close.
    self assert: stream terminal = #[159 0]
!

testUTF8Decoding

    |encoder stream char |

    encoder := Xtreams::STXEncoder for: #utf8.
    stream := #[196 128] reading.
    char := encoder decodeFrom: stream.
    stream close.
    self assert: char = (Character codePoint: 16r100)
!

testUTF8Encoding

    |encoder stream|

    encoder := Xtreams::STXEncoder for: #utf8.
    stream := ByteArray new writing.
    encoder encode: (Character codePoint: 16r159) on: stream.
    stream close.
    self assert: stream terminal = #[197 153]
! !

!STXEncoderTest class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

